4734ecf5fb
- fixed PATH shortener - also install /etc/system-fips in the initramfs - nbd, do not fail in hostonly mode - add ohci-pci to the list of hardcoded modules - lvm: do not run pvscan for lvmetad - network fixes - skip crypt swaps with password files - fixed i18n
36 lines
985 B
Diff
36 lines
985 B
Diff
From 61c0665dad633fdd2358a1a2ce5d25d282673c1a Mon Sep 17 00:00:00 2001
|
|
From: Hannes Reinecke <hare@suse.de>
|
|
Date: Fri, 29 Nov 2013 13:13:45 +0100
|
|
Subject: [PATCH] 95zfcp: Make installation optional
|
|
|
|
zfcp_cio_free is a RedHat-specific tool, so do not install this
|
|
module if the program isn't present.
|
|
|
|
Signed-off-by: Hannes Reinecke <hare@suse.de>
|
|
---
|
|
modules.d/95zfcp/module-setup.sh | 4 +---
|
|
1 file changed, 1 insertion(+), 3 deletions(-)
|
|
|
|
diff --git a/modules.d/95zfcp/module-setup.sh b/modules.d/95zfcp/module-setup.sh
|
|
index 5d9b506..dfbeed5 100755
|
|
--- a/modules.d/95zfcp/module-setup.sh
|
|
+++ b/modules.d/95zfcp/module-setup.sh
|
|
@@ -5,6 +5,7 @@
|
|
# called by dracut
|
|
check() {
|
|
arch=$(uname -m)
|
|
+ [ -x /sbin/zfcp_cio_free ] || return 1
|
|
[ "$arch" = "s390" -o "$arch" = "s390x" ] || return 1
|
|
|
|
return 0
|
|
@@ -12,9 +13,6 @@ check() {
|
|
|
|
# called by dracut
|
|
depends() {
|
|
- arch=$(uname -m)
|
|
- [ "$arch" = "s390" -o "$arch" = "s390x" ] || return 1
|
|
-
|
|
return 0
|
|
}
|
|
|